--比那名居天子用ai
--しなうす式/20220710check

require("function_pun_strage.lua")
head_req_list()

function main()
--シード生成、スレッド生成、base_states設定
	set_seedthreadstates()
--キャラ確認
	char_calling()
--ステージが 核融合炉心部 だと超反応モードに
	set_printsabot()

while true do
--スレッド外初期化
	while_top()

--●どちらかが体力無くなったら待機
	if interbattle_condi()==true then
		interbattle_exe()
--▼開幕行動▼
	elseif kaimaku_condi()==true then
		kaimaku_exe()
--▼移動起き上がり
	elseif my_act==97 or my_act==98 then --基本：画面端より遠ざかる。中央では相手から遠ざか…りたいが、設置技警戒のため、相手側に移動起き上がり。
		movedgetup_exe()

--▼簡易受け身▼：攻撃ないし回避いずれの目的であってもリカバリーポイントは限られるが、そういうことはさておき実装したもの
	elseif recovery_condi()==true then
		recovery_exe()

--▼台風になった時、フラグに従って「緋想の剣」を使用
	elseif y==0 and my_act<=10 and card_check(14) and flag_kishitu==1 then
		print("天候フラグＯＮ　⇒　「緋想の剣」使用");
		card_use(14);

--▼台風▼：近接状態からの強引な状況変更を行う行動。スペカなど使用。
	elseif react_rejecttaihu_condi()==true then
		react_rejecttaihu_exe()

--▼起き攻め▼
	elseif setplay_ongetup_condi()==true then
		setplay_ongetup_exe()
--▼ＨＪＣ▼
	--地上HJC
	elseif hjc_ground_condi()==true then
		hjc_ground_exe()
	--空中HJC
	elseif hjc_air_condi()==true then
		hjc_air_exe()

--▼反応行動
--反応：下段
	elseif 	react_lowattack_condi()==true then
		react_lowattack_exe()
--反応：地対空
	elseif react_g2a_condi()==true then
		react_g2a_exe()
--反応：低空飛翔
	elseif react_lowj6d_condi()==true then
		react_lowj6d_exe()
--上空追いかけ
	elseif ueoikake_condi()==true then
		ueoikake_exe()
--霊撃 or 霊撃札
	elseif reigeki_condi()==true then 
		print("拒否行動：霊撃　⇒　可能ならば使用");
		card_use(0)
		
--▼グレイズ：相手行動に対する反射or一定距離内のオブジェクト感知▼
--モーション反応グレイズ
	elseif
	graze_condition_xrange()==true and
	state_nottrueguard()==true and 
	my_airEX>=1 and 
	my_rei>=0 
	then--近距離時のグレイズ。のさばらせておくと、誤結界の原因となる。ガードの硬直間際ならok
		print("check 1 -> graze act X Range");
		graze_action_xrange()
			
--▼ ガード行動：簡易ガードルーチン▼
--▼ ガード反撃、龍魚の羽衣 13
	elseif hagoromo_1st_condi()==true or hagoromo_condi()==true then
		hagoromo_exe()

--回避結界
	elseif kekkai_condi()==true then
		kekkai_exe()

--▼ 宵越しの銭 12
	elseif yoikoshi_1st_condi()==true or yoikoshi_condi()==true then
		yoikoshi_exe()

--▼汎用中下段ガード
--基本は行動に対して後退入れ込み。下段のみ抽出して反応。通常射撃も同じく下段で受ける(けどメンドウだから今回は省き)。フラグを抜けてくるものは別個に対応
	elseif lowattack_aflags_condi()==true then
		guard_backexpectlowattack_exe()
	elseif overheadattack_aflags_condi()==true then
		guard_backoverheadattack_exe()
--下段判定をフィルタ
	elseif lowattack_flaged_condi()==true then
		guard_backexpectlowattack_exe()
--フラグを抜けてくるものをフィルタ
	elseif lowattack_unflaged_condi()==true then
		guard_backexpectlowattack_exe()
--屈状態では低空昇り攻撃には立てない
	elseif notstand_overhead_upjump_condi()==true then
		guard_backexpectlowattack_exe()
--以下、何もフィルタされなかった場合、立ちガード
	elseif guard_pun_condi()==true then
		guard_backoverheadattack_exe()

--[[▼オブジェが至近距離の場合、着地直前にｈｊを仕込む、タッチ＆ゴーグレイズ
	elseif touchandgo_00_condi() then
		touchandgo_00_exe()
--オブジェが至近距離の場合、ガードの前に、離陸
	elseif touchandgo_01_condi() then
		touchandgo_01_exe()
	elseif touchandgo_02_condi() then
		touchandgo_02_exe()
--]]
--オブジェが至近距離の場合、空中から地上へ飛翔　※咲夜：２D：120.0以上、３D：84.9以上必要
	elseif graze_pun_condi()==true then
		graze_pun_exe()
		
--遠距離時のグレイズ
	elseif graze_farground_condi() then
		graze_farground_exe()
	elseif graze_farair_condi() then
		graze_farair_exe()
		
--特定状況におけるガード
	elseif guard_objgimmick_condi()==true then
		guard_backexpectlowattack_exe()
--オブジェが至近距離の場合、ガード:射撃と打撃を重ねられると、しゃがみガードしてしまう。優先順位の変更が必要
	elseif guard_objclosedis_condi()==true then
		guard_backexpectlowattack_exe()
	
--▼起き上がり直後の行動
	elseif move_soonaftergetup_condi()==true then
		move_soonaftergetup_exe()

--▼コンボ▼

--▼固め▼：基本判断は相手がガードし、自身が特定行動である場合。
	--(A>AA>2B>8jc>3B>3飛翔>JA〜)*2>A>AA>AAA>AAAA
--A>AA
	elseif my_act==300 and dis<=100 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=1 and my_limit<100 then
		print("A>AA",dis);
		key_event(ACT_A);
--AA>2B
		elseif dis<120 and my_act==320 and ey==0 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and not(enemy_act>=70 and enemy_act<=78) and my_hitstop<=2 and my_hitstop>=1 and my_limit<60 then
			print("AA>2B",dis);
			key_event2(ACT_B,ACT_DOWN);
			wait(10)
--AA>6B
		elseif dis<400 and (my_act==320 or my_act==302 or my_act==304) and ey==0 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and not(enemy_act>=70 and enemy_act<=78) and my_hitstop<=2 and my_hitstop>=1 and my_limit<60 then
			print("AA>6B",dis);
			key_event2(ACT_B,front);
			wait(14)
--2B>623command
			elseif (my_act==402 or my_act==401) and ey==0 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and math.random(16)<=1 then
				print("2B>623B",dis);
				lvr623(ACT_B);
				wait(10)
--2B>8hjc
			elseif (my_act==402 or my_act==401) and ey==0 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) then
				print("2B>8hjc",dis);
				key_on(ACT_UP);
				wait(5)
--8hjc>J44
				elseif my_act==208 and y>0 and enemy_xspeed>1 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and my_limit<100 then
					print("8hjc>J44",dis);
					yield()
					lvr44()
					wait(5)
--8hjc>J2B
				elseif my_act==208 and y>0 and ey==0 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and my_limit<100 then
					print("8hjc>J2B",dis);
					yield();
					key_event2(ACT_B,ACT_DOWN);
					wait(30)
--J2B>6飛翔
					elseif dis>200 and my_act==406 and ey==0 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) then
						print("J2B>6飛翔",dis);
						key_resetEX();
						key_on(ACT_D)
						key_on(front)
						wait(15)
						key_resetEX()
						--key_on(u_front)
						wait(15)
						key_event(ACT_A)
--J2B>3飛翔
					elseif my_act==406 and ey==0 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) then
						print("J2B>3飛翔",dis);
						key_resetEX();
						key_event2(ACT_D,d_front);
						key_on(u_front);
--3飛翔>JA
						elseif my_act==214 and ey==0 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and my_limit<100 then
							print("3飛翔>JA",dis);
							key_resetEX();
							key_event(ACT_A);
--JA>(着地)A
							elseif y==0 and ey==0 and dis<=140 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and my_preact[1]==306 and my_limit<100 then
								print("JA>(着地)A",dis);
								key_event(ACT_A);
--JA>(着地)6D>A
							elseif y==0 and ey==0 and dis>=140 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and my_preact[1]==306 and my_limit<100 then
								print("JA>(着地)6D>A",dis);
								key_event2(ACT_D,front);
								wait(10);
								key_event(ACT_A);

--AA>3A
		elseif my_act==300 and dis>=100 and dis<=160 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=1 and my_limit<100 then
			print("AA>3A",dis);
			key_event2(ACT_A,d_front);
--AA>AAA
		elseif my_act==320 and ey==0 and enemy_act>=50 and enemy_act<=65 and my_hitstop<=2 and my_hitstop>=1 and my_limit>=60 and my_limit<100 then
			print("AA>AAA",dis);
			key_event(ACT_A);


--2A>3A
		elseif my_act==303 and dis>=100 and dis<=160 and ((enemy_act>=50 and enemy_act<=71) or (enemy_act>=143 and enemy_act<=166)) and my_hitstop<=3 and my_hitstop>=1 and my_limit<100 then
			print("2A>3A",dis);
			key_event2(ACT_A,d_front);
--J5A
	--brank
	elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(2)==1 then
		print("コンボ：J5A>brank");
		wait(2);
	--J6A
	elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
		print("コンボ：J5A>J6A");
		key_event2(ACT_A,front);
	--J8A
	elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
		print("コンボ：J5A>J8A");
		key_event2(ACT_A,ACT_UP);
	--J2A
	--elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
	--	print("コンボ：J5A>J2A");
	--	key_event2(ACT_A,ACT_DOWN);
		
	--J5B
	elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
		print("コンボ：J5A>J5B");
		key_event(ACT_B);
	--J6B
	elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
		print("コンボ：J5A>J6B");
		key_event2(ACT_B,front);
	--J8B
	--elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
	--	print("コンボ：J5A>J8A");
	--	key_event2(ACT_B,ACT_UP);
	--J2B
	elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
		print("コンボ：J5A>J2B");
		key_event2(ACT_B,ACT_DOWN);
		
	--J5C
	--elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
	--	print("コンボ：J5A>J5C");
	--	key_event(ACT_C);
	--J6C
	--elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
	--	print("コンボ：J5A>J6C");
	--	key_event2(ACT_C,front);
	--J8C
	--elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
	--	print("コンボ：J5A>J8A");
	--	key_event2(ACT_C,ACT_UP);
	--J2C
	elseif my_act==306 and my_hitstop<=3 and my_hitstop>=2 and is_dir_front==true and math.random(16)==1 then
		print("コンボ：J5A>J2C");
		key_event2(ACT_C,ACT_DOWN);
			
--DA>スキル
	elseif my_act==305 and my_hitstop>=1 and my_hitstop<=4 and enemy_act>=50 and enemy_act<=166 then
	print("DA>skill");
		if my_card==100 or my_card==101 or my_card==104 or my_card==106 or my_card==107 or my_card==108 then
			key_event(ACT_BC);
		elseif my_card~=100 and my_card~=101 and my_card~=104 and my_card~=106 and my_card~=107 and my_card~=108 and (get_skill_lv(0,0)>=0 or get_skill_lv(0,1)>=0 or get_skill_lv(0,4)>=1 or get_skill_lv(0,6)>=1 or get_skill_lv(0,7)>=1 or get_skill_lv(0,8)>=1) then
			key_resetEX();
			--if get_skill_lv(0,1)>=0 then
			--	lvr22(ACT_B);
			--else
			if get_skill_lv(0,0)>=0 or get_skill_lv(0,4)>=1 or get_skill_lv(0,8)>=1 then
				lvr214(ACT_B);
			elseif get_skill_lv(0,6)>=1 then
				lvr236(ACT_B);
			elseif get_skill_lv(0,7)>=1 then
				lvr623(ACT_B);
			end
		end
--DB>スキル(3段目のみキャンセル可能)
	elseif my_act==408 and enemy_act>=50 and enemy_act<=166 and my_allframe>=34 then
	print("DB>skill");
		if my_card==100 or my_card==101 or my_card==104 or my_card==106 or my_card==107 or my_card==108 then
			key_event(ACT_BC);
		elseif my_card~=100 and my_card~=101 and my_card~=104 and my_card~=106 and my_card~=107 and my_card~=108 and (get_skill_lv(0,0)>=0 or get_skill_lv(0,1)>=0 or get_skill_lv(0,4)>=1 or get_skill_lv(0,6)>=1 or get_skill_lv(0,7)>=1 or get_skill_lv(0,8)>=1) then
			key_resetEX();
			if get_skill_lv(0,1)>=0 then
				lvr22(ACT_B);
			elseif get_skill_lv(0,0)>=0 or get_skill_lv(0,4)>=1 or get_skill_lv(0,8)>=1 then
				lvr214(ACT_B);
			elseif get_skill_lv(0,6)>=1 then
				lvr236(ACT_B);
			elseif get_skill_lv(0,7)>=1 then
				lvr623(ACT_B);
			end
		end
--]]
		
--▼攻撃▼

--▼spell card▼

--▼cost2

--地符「不譲土壌の剣」200,600,g
	--Ground
	elseif card_check(200)==true and
		my_spell_more(1000) and
		dis<300 and
		y==0 and
		ey<200 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("地符「不譲土壌の剣」");
			for i=1,10 do
				card_use(200);
				yield()
			end

--非想「非想非非想の剣」201,601,g
	--Ground
	elseif card_check(201)==true and
		my_spell_more(1000) and
		dis<200 and
		y==0 and
		ey<200 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("非想「非想非非想の剣」");
			for i=1,10 do
				card_use(201);
				yield()
			end

--▼cost3

--天符「天道是非の剣」202,602,g
	--Ground
	elseif card_check(202)==true and
		my_spell_more(1500) and
		dis<200 and
		y==0 and
		ey<200 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("天符「天道是非の剣」");
			for i=1,10 do
				card_use(202);
				yield()
			end

--剣技「気炎万丈の剣」208,608,g
	--Ground
	elseif card_check(208)==true and
		my_spell_more(1500) and
		dis<200 and
		y==0 and
		ey<200 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("剣技「気炎万丈の剣」");
			for i=1,10 do
				card_use(208);
				yield()
			end

--天気「緋想天促」209,609,g,a
	--Ground,Air
	elseif card_check(209)==true and
		my_spell_more(1500) and
		dis<600 and
		y<=400 and
		ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("天気「緋想天促」");
			for i=1,10 do
				card_use(209);
				yield()
			end

--▼cost4

--気符「天啓気象の剣」204,604,g
	--Ground
	elseif card_check(204)==true and
		my_spell_more(2000) and
		dis<200 and
		y==0 and
		ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		--is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("気符「天啓気象の剣」");
			for i=1,10 do
				card_use(204);
				yield()
			end

--気符「無念無想の境地」206,606,g
	--Ground
	elseif card_check(206)==true and
		my_spell_more(2000) and
		dis>400 and
		y==0 and
		--ey<100 and
		my_frontside>600 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		--is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("気符「無念無想の境地」");
			for i=1,10 do
				card_use(206);
				yield()
			end

--▼cost5

--地震「先憂後楽の剣」203,603,g
	--Ground
	elseif card_check(203)==true and
		my_spell_more(2500) and
		dis>400 and
		y==0 and
		--ey<100 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		--is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("地震「先憂後楽の剣」");
			for i=1,10 do
				card_use(203);
				yield()
			end

--要石「天地開闢プレス」205,605,g
	--Ground
	elseif card_check(205)==true and
		my_spell_more(2500) and
		dis<200 and
		y==0 and
		ey<200 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		--enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("要石「天地開闢プレス」");
			for i=1,10 do
				card_use(205);
				yield()
			end
			
--「全人類の緋想天」207,607,g,a
	--Ground,Air
	elseif card_check(207)==true and
		my_spell_more(2500) and
		dis>400 and
		y<300 and
		ey<300 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
			print("「全人類の緋想天」");
			for i=1,10 do
				card_use(207);
				yield()
			end
		
--▼skill card▼

--▼スキル236

--非想の威光102,540,g,a

	elseif get_skill_lv(0,2)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("非想の威光B");
			lvr236(ACT_B);
			
	elseif get_skill_lv(0,2)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("非想の威光C");
			lvr236(ACT_C);
			
	elseif card_check(102)==true and my_rei>=400 and
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("非想の威光B");
			for i=1,10 do
				card_use(102);
				yield()
			end
			
--天地プレス106,545,g,a
--ground
	elseif get_skill_lv(0,6)>=0 and my_rei>=400 and 
		dis2>270 and dis2<330 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("天地プレスB");
			lvr236(ACT_B);
			
	elseif get_skill_lv(0,6)>=0 and my_rei>=400 and 
		dis2>770 and dis2<870 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("天地プレスC");
			lvr236(ACT_C);
			
	elseif card_check(106)==true and my_rei>=400 and
		dis2>270 and dis2<330 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("天地プレスB");
			for i=1,10 do
				card_use(106);
				yield()
			end
--air
	elseif get_skill_lv(0,6)>=0 and my_rei>=400 and 
		dis2>340 and dis2<400 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("天地プレスB");
			lvr236(ACT_B);
			
	elseif get_skill_lv(0,6)>=0 and my_rei>=400 and 
		dis2>340 and dis2<400 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("天地プレスC");
			lvr236(ACT_C);
			
	elseif card_check(106)==true and my_rei>=400 and
		dis2>340 and dis2<400 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("天地プレスB");
			for i=1,10 do
				card_use(106);
				yield()
			end
			
--緋想の剣気110,550,g

	elseif get_skill_lv(0,10)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("緋想の剣気B");
			lvr236(ACT_B);
			
	elseif get_skill_lv(0,10)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("緋想の剣気C");
			lvr236(ACT_C);
			
	elseif card_check(110)==true and my_rei>=400 and
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("緋想の剣気B");
			for i=1,10 do
				card_use(110);
				yield()
			end
			
--▼スキル623

--非想の剣103,560,g

	elseif get_skill_lv(0,3)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("非想の剣B");
			lvr623(ACT_B);
			
	elseif get_skill_lv(0,3)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("非想の剣C");
			lvr623(ACT_C);
			
	elseif card_check(103)==true and my_rei>=400 and
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("非想の剣B");
			for i=1,10 do
				card_use(103);
				yield()
			end
			
--緋想の剣107,565,g

	elseif get_skill_lv(0,7)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("緋想の剣B");
			lvr623(ACT_B);
			
	elseif get_skill_lv(0,7)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("緋想の剣C");
			lvr623(ACT_C);
			
	elseif card_check(107)==true and my_rei>=400 and
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("緋想の剣B");
			for i=1,10 do
				card_use(107);
				yield()
			end
			
--昇天突111,570,g,a

	elseif get_skill_lv(0,11)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("昇天突B");
			lvr623(ACT_B);
			
	elseif get_skill_lv(0,11)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("昇天突C");
			lvr623(ACT_C);
			
	elseif card_check(111)==true and my_rei>=400 and
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("昇天突B");
			for i=1,10 do
				card_use(111);
				yield()
			end

--▼スキル22

--天罰の石柱101,520,g,a
--ground
	elseif get_skill_lv(0,1)>=0 and my_rei>=400 and 
		dis2>640 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(640)==1 then
			print("天罰の石柱B");
			lvr22(ACT_B);
			
	elseif get_skill_lv(0,1)>=0 and my_rei>=400 and 
		dis2>640 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(640)==1 then
			print("天罰の石柱C");
			lvr22(ACT_C);
			
	elseif card_check(101)==true and my_rei>=400 and
		dis2>640 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(640)==1 then
			print("天罰の石柱B");
			for i=1,10 do
				card_use(101);
				yield()
			end
--air
	elseif get_skill_lv(0,1)>=0 and my_rei>=400 and 
		dis2>640 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(640)==1 then
			print("天罰の石柱B");
			lvr22(ACT_B);
			
	elseif get_skill_lv(0,1)>=0 and my_rei>=400 and 
		dis2>640 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(640)==1 then
			print("天罰の石柱C");
			lvr22(ACT_C);
			
	elseif card_check(101)==true and my_rei>=400 and
		dis2>640 and
		y>0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(640)==1 then
			print("天罰の石柱B");
			for i=1,10 do
				card_use(101);
				yield()
			end
			
--守りの要105,525,着装は地上のみ,g-shot,a-shot
--着脱の判別をつけること

	elseif get_skill_lv(0,5)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("守りの要B");
			lvr22(ACT_B);
			
	elseif get_skill_lv(0,5)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("守りの要C");
			lvr22(ACT_C);
			
	elseif card_check(105)==true and my_rei>=400 and
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("守りの要B");
			for i=1,10 do
				card_use(105);
				yield()
			end
			
--地精の起床109,530,g

	elseif get_skill_lv(0,9)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("地精の起床B");
			lvr22(ACT_B);
			
	elseif get_skill_lv(0,9)>=0 and my_rei>=400 and 
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("地精の起床C");
			lvr22(ACT_C);
			
	elseif card_check(109)==true and my_rei>=400 and
		dis>0 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("地精の起床B");
			for i=1,10 do
				card_use(109);
				yield()
			end

--▼スキル214

--坤儀の剣100,500,g,a

	elseif get_skill_lv(0,0)>=0 and my_rei>=400 and 
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("坤儀の剣B");
			lvr214(ACT_B);
			
	elseif get_skill_lv(0,0)>=0 and my_rei>=400 and 
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("坤儀の剣C");
			lvr214(ACT_C);
			
	elseif card_check(100)==true and my_rei>=400 and
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("坤儀の剣B");
			for i=1,10 do
				card_use(100);
				yield()
			end
			
--六震-相-104,505,g

	elseif get_skill_lv(0,4)>=0 and my_rei>=400 and 
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("六震-相-B");
			lvr214(ACT_B);
			
	elseif get_skill_lv(0,4)>=0 and my_rei>=400 and 
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("六震-相-C");
			lvr214(ACT_C);
			
	elseif card_check(104)==true and my_rei>=400 and
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("六震-相-B");
			for i=1,10 do
				card_use(104);
				yield()
			end
			
--因果の剣108,510,g

	elseif get_skill_lv(0,8)>=0 and my_rei>=400 and 
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("因果の剣B");
			lvr214(ACT_B);
			
	elseif get_skill_lv(0,8)>=0 and my_rei>=400 and 
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("因果の剣C");
			lvr214(ACT_C);
			
	elseif card_check(108)==true and my_rei>=400 and
		dis>340 and
		y==0 and
		not(my_act>=50 and my_act<180) and my_act<600 and 
		get_fflags(0,32)==true and
		get_fflags(0,8)==false and get_fflags(1,8)==false and 
		enemy_obj_range_in(150,60)==false and 
		is_dir_front==true and 
		subs_count>=530 and nega_count ~= 1 and math.random(160)==1 then
			print("因果の剣B");
			for i=1,10 do
				card_use(108);
				yield()
			end
--]]
--▼空中打撃▼
--J8A:309,19-127,106-243,9-10,7F(初速y8.5,gs0.5),y+16.5-24
	elseif	y>0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	--is_dir_front==true and
	subs_count>=530 and nega_count ~= 1 and math.random(1)==1 and
	(y+my_yspeed*6+(6*(5*m_gs))/2)>0 	and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*10		<=	127+30 	and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*10		>=	19-30 	and
				(ey+enemy_yspeed*10+(10*(9*e_gs))/2)	-	(y+(my_yspeed*6+(6*(5*m_gs))/2)+(8.5*4+(4*(3*(-0.5)))/2))	<=	243-40		and
				(ey+enemy_yspeed*10+(10*(9*e_gs))/2)	-	(y+(my_yspeed*6+(6*(5*m_gs))/2)+(8.5*4+(4*(3*(-0.5)))/2))	>=	106-160 	then
					print("J8A");
					key_event2(ACT_A,ACT_UP)
--J2A:308,b0:1-19F(静止),b1:21-nF(落下:y==0まで),b2:n+1F(スタンプ),v-25
	--落下:-50-47,-48-44,21-n,v-25
	elseif	y>0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	--is_dir_front==true and
	subs_count>=530 and nega_count ~= 1 and math.random(16)==1 and
	(y+my_yspeed*1+(1*(0*m_gs))/2)>0 	and
				(ex-x)*my_dir-(enemy_xspeedEX)*(21+math.abs(math.ceil((y-ey)/25)))		<=	47+30 	and
				(ex-x)*my_dir-(enemy_xspeedEX)*(21+math.abs(math.ceil((y-ey)/25)))		>=	-50-30 	and
				(ey+enemy_yspeed*(21+math.abs(math.ceil((y-ey)/25)))+((21+math.abs(math.ceil((y-ey)/25)))*((20+math.abs(math.ceil((y-ey)/25)))*e_gs))/2)	-	(y+(-25)*(math.abs(math.ceil((y-ey)/25))))	<=	44-40	and
				(ey+enemy_yspeed*(21+math.abs(math.ceil((y-ey)/25)))+((21+math.abs(math.ceil((y-ey)/25)))*((20+math.abs(math.ceil((y-ey)/25)))*e_gs))/2)	-	(y+(-25)*(math.abs(math.ceil((y-ey)/25))))	>=	-48-160 	then
					print("J2A-fall");
					key_event2(ACT_A,ACT_DOWN);
	--着地:-84-83,-11-31,y=0になった次のF,落下ヒット時、ヒットしない
	elseif y>0 and 
	(y+my_yspeed*1+(1*(0*m_gs))/2)>0 	and
	(ex-x)*my_dir-(enemy_xspeedEX)*(21+math.abs(math.ceil(y/25)))		<=	83+30 	and
	(ex-x)*my_dir-(enemy_xspeedEX)*(21+math.abs(math.ceil(y/25)))		>=	-84-30 	and
	(ey+enemy_yspeed*(21+math.abs(math.ceil(y/25)))+((21+math.abs(math.ceil(y/25)))*((20+math.abs(math.ceil(y/25)))*e_gs))/2)	-	(y+(-25)*(math.abs(math.ceil(y/25))))	<=	31-20	and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	--is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(16)==1 then
					print("J2A-stamp");
					key_event2(ACT_A,ACT_DOWN);
--J6A:307,-125-126,51-186,10-22,8F-(初速x15,y8)(加速度x-0.5,y-0,5),x+29.5-164.5,y+15.5-66.5
	elseif	y>0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	--is_dir_front==true and
	subs_count>=530 and nega_count ~= 1 and math.random(2)==1 and
	(y+my_yspeed*8+(8*(7*m_gs))/2)>0 	and
				(ex-x)*my_dir-(my_xspeedEX*7+(15*15+(15*(14*(-0.5)))/2)+enemy_xspeedEX*22)		<=	126+30 	and
				(ex-x)*my_dir-(my_xspeedEX*7+(15*15+(15*(14*(-0.5)))/2)+enemy_xspeedEX*22)		>=	-126-30 	and
				(ey+enemy_yspeed*22+(22*(21*e_gs))/2)	-	(y+(my_yspeed*7+(7*(6*m_gs))/2)+(8*15+(15*(14*(-0.5)))/2))	<=	186-40	and
				(ey+enemy_yspeed*22+(22*(21*e_gs))/2)	-	(y+(my_yspeed*7+(7*(6*m_gs))/2)+(8*15+(15*(14*(-0.5)))/2))	>=	51-160 	then
					print("J6A");
					key_event2(ACT_A,front);
--J5A:306,22-120,45-124,9-12
	elseif	y>0 and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	--is_dir_front==true and
	subs_count>=530 and nega_count ~= 1 and math.random(1)==1 and
	(y+my_yspeed*12+(12*(11*m_gs))/2)>0 	and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*12		<=	120+30 	and
				(ex-x)*my_dir-(my_xspeedEX+enemy_xspeedEX)*12		>=	22-30 	and
				(ey+enemy_yspeed*12+(12*(11*e_gs))/2)	-	(y+my_yspeed*12+(12*(11*m_gs))/2)	<=	124-40 		and --自ヒットボックスの上端を、相手ヒットボックスの下端に当てた高さ
				(ey+enemy_yspeed*12+(12*(11*e_gs))/2)	-	(y+my_yspeed*12+(12*(11*m_gs))/2)	>=	45-160 	then  --自ヒットボックスの下端を、相手ヒットボックスの上端に当てた高さ
					print("J5A");
					key_event(ACT_A);

--▼対空行動

--対空9HJ>J5A:
--j/hj攻撃不能時間:6f
--J5A:306,22-120,45-124,9-12
--9/7hj	:x18.0,y16.5(初速),gs0.85,1-5F(地上)
	elseif y==0 and 
	(ey>0 or --空中か
		(
			(enemy_char~=19 and (enemy_act==0 or (enemy_act>=5 and enemy_act<=10) or (enemy_act>=150 and enemy_act<=153) or (enemy_act>=159 and enemy_act<=162)) --諏訪子以外の立ち状態か
			) or
			(enemy_char==19 and ((enemy_act>=1 and enemy_act<=3) or (enemy_act>=154 and enemy_act<=157) or (enemy_act>=163 and enemy_act<=166)) --諏訪子のしゃがみ状態
			)
		)
	) and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 and 
				(ex-x)*my_dir	-	(18*9+enemy_xspeedEX*15)		<=	120+30 	and --自機のhj時におけるx軸速度*発生
				(ex-x)*my_dir	-	(18*9+enemy_xspeedEX*15)		>=	22-30 	and
				(ey+enemy_yspeed*15+(15*(14*e_gs))/2)	-	(y+16.5*9+(9*(8*(-0.85)))/2)	<=	124-40 		and --自機のhj時におけるy軸速度*発生(hj時の落下加速度を17としている)
				(ey+enemy_yspeed*15+(15*(14*e_gs))/2)	-	(y+16.5*9+(9*(8*(-0.85)))/2)	>=	45-160 	then --hj時の落下加速度を-0.75としている
					print("AA:9HJ>J5A");
					key_event2(ACT_D,u_front)
					wait(3)
					key_event(ACT_A);
					wait(3)
					
--対空8HJ>J5A:
--j/hj攻撃不能時間:6f
--J5A:306,22-120,45-124,9-12
--8hj	:x 0.0,y22.5(初速),gs0.85,1-5F(地上)
	elseif y==0 and 
	(ey>0 or --空中か
		(
			(enemy_char~=19 and (enemy_act==0 or (enemy_act>=5 and enemy_act<=10) or (enemy_act>=150 and enemy_act<=153) or (enemy_act>=159 and enemy_act<=162)) --諏訪子以外の立ち状態か
			) or
			(enemy_char==19 and ((enemy_act>=1 and enemy_act<=3) or (enemy_act>=154 and enemy_act<=157) or (enemy_act>=163 and enemy_act<=166)) --諏訪子のしゃがみ状態
			)
		)
	) and 
	not(my_act>=50 and my_act<180) and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 and 
				(ex-x)*my_dir	-	(enemy_xspeedEX*15)		<=	120+30 	and --自機のhj時におけるx軸速度*発生
				(ex-x)*my_dir	-	(enemy_xspeedEX*15)		>=	22-30 	and
				(ey+enemy_yspeed*15+(15*(14*e_gs))/2)	-	(y+22.5*9+(9*(8*(-0.85)))/2)	<=	124-40 		and --自機のhj時におけるy軸速度*発生(hj時の落下加速度を17としている)
				(ey+enemy_yspeed*15+(15*(14*e_gs))/2)	-	(y+22.5*9+(9*(8*(-0.85)))/2)	>=	45-160 	then --hj時の落下加速度を-0.75としている
					print("AA:9HJ>J5A");
					key_event2(ACT_D,u_front)
					wait(3)
					key_event(ACT_A);
					wait(3)

		
--▼通常技/Arts▼
--霊撃:-155-150,295
--超ブンブン:
	--1st:205,20-110-145-190-200
	--2nd:225,20-185-240
--超プレス:
	--昇:-70-120,35-230
	--石:
--超昇竜:-70-120,-25-230
--縛:210,40-135
--昇竜:
	--Bg:-70-120,35-230,19-30
	--Cg:-70-120,35-230,19-36
	--Ba:-70-120,35-230,13-24
	--Ca:-70-120,35-230,13-30
--ブンブン斬り:
	--B:
		--1st:-5-200,25-110-145-190-200,14-15
		--2nd:40-155-225,10-100-190,24-25
	--C:
		--1st:-5-200,25-110-145-190-200,16-17
		--2nd:40-155-225,10-100-190,26-27
		--3rd:-75-215,45-275,38-39
--石柱落とし:180
--ブーメラン投げ:100,100
--▼グレイズ斬り:
		--発進終了時、終末の条件を満たさなかった場合、中間に派生する。
		--B:Lv0
		--b0:1-8F(発進),b1:9-12F(全4F)(中間),b2:13F-(終末)(中間始動:dis<200)
		--発生:終末6-7F,発生までの踏込138.75-134.25(終端始動しない限り絶対にめり込む仕様)
		--5-12F(初速10),13F(初速25),14F-(慣性:抵抗0.75)
	--B:560,51-197,9-71,14-15~18-19F,+174.25
		--C:Lv0
		--b0:1-8F(発進),b1:9-16F(全8F)(中間),b2:17F-(終末)(中間始動:dis<200)
		--発生:終末6-7F,発生までの踏込138.75-134.25(終端始動しない限り絶対にめり込む仕様)
		--5-16F(初速15),17F(初速25),14F-(慣性:抵抗0.75)
	--C:561,51-197,9-71,14-15~22-23F,+254.25
	
--DC:418,v12,51-161,73-141,13-19,+132-214.8
	elseif dis<=161+214+30+(enemy_xspeedEX)*19 and
	y==0 and 
	(ey+enemy_yspeed*19+(19*(17*e_gs))/2)<=141-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	--enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(16)==1 then
		print("DC");
		key_on(frontEX());
		key_event2(ACT_D,ACT_C);
--DB:408,v13.5,※hitarea:45-
	--1st:(b1),26-107,9-100,12-13,+148.5-162
	elseif dis<=107+162+30+(enemy_xspeedEX)*13 and
	y==0 and 
	(ey+enemy_yspeed*13+(13*(12*e_gs))/2)<=100-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(32)==1 then
		print("DB");
		key_on(frontEX());
		key_event2(ACT_D,ACT_B);
	--2nd:(b2),26-107,9-100,26-27,+337.5-351
	elseif dis<=17+351+30+(enemy_xspeedEX)*27 and
	y==0 and 
	(ey+enemy_yspeed*27+(27*(26*e_gs))/2)<=100-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("DB");
		key_on(frontEX());
		key_event2(ACT_D,ACT_B);
	--3rd:(b3),26-107,9-100,40-41,+526.5-540
	elseif dis<=107+540+30+(enemy_xspeedEX)*41 and
	y==0 and 
	(ey+enemy_yspeed*41+(41*(40*e_gs))/2)<=100-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(128)==1 then
		print("DB");
		key_on(frontEX());
		key_event2(ACT_D,ACT_B);
--DA:305,24-118,73-130,11-13,+135-162
	elseif dis<=118+162+30+(enemy_xspeedEX)*13 and
	dis>140 and
	y==0 and 
	(ey+enemy_yspeed*13+(13*(12*e_gs))/2)<=130-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(8)==1 then
		print("DA");
		key_on(frontEX());
		key_event2(ACT_D,ACT_A);
--
--J2C :412(801,225),(-80-80,39-199),(0-65,0-20),v15,1-49F(初速1/5:慣性)
--2C  :412(801,225),(-80-80,20-180),(0-65,0-20),v15
	--hitarea35
	elseif my_rei>0.65 and
	math.sqrt((ex-x)^2+(ey-y-110)^2)>280 and
	--y>0 and
	--ey-y>-0.1*(ex-x+500)*my_dir+125 and 
	--ey-y<0.1*(ex-x+500)*my_dir+125 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(16)==1 then
		print("2C/J2C");
		key_event2(ACT_C,ACT_DOWN);
--J5C :414(801,225),(148-189,84-171),(0-65,0-20),v18-22,1-59F(初速1/5:慣性)
--5C  :410(801,225),(148-189,81-168),(0-65,0-20),v18-22
	elseif my_rei>0.65 and
	dis>280 and
	--y>0 and
	ey-y>-0.1*(ex-x+500)*my_dir+125 and 
	ey-y<0.1*(ex-x+500)*my_dir+125 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(16)==1 then
		print("5C/J5C");
		key_event(ACT_C);
--J2Bh:406(800,208-209-210),(86,105),(16-79,-37.5-37.5),v17.5,1-67F(初速1/5:慣性)
	elseif my_rei>0.65 and
	dis>280 and
	y>0 and
	ey-y>-1.0*(ex-x-86)*my_dir+105 and 
	ey-y<-0.5*(ex-x-86)*my_dir+105 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("J2Bh");
		key_on(ACT_B)
		key_on(ACT_DOWN);
		wait(10+2)
--J2B :406(800,208-209-210),(86,105),(16-79,-37.5-37.5),v17.5,1-47F(初速1/5:慣性)
	elseif my_rei>0.65 and
	dis>280 and
	y>0 and
	ey-y>-1.0*(ex-x-86)*my_dir+105 and 
	ey-y<-0.5*(ex-x-86)*my_dir+105 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(16)==1 then
		print("J2B");
		key_event2(ACT_B,ACT_DOWN);
--2B  :402(800,208-209-210),(82.4,62.4),(28-61,-30-61),v17.5
	elseif my_rei>0.65 and
	dis>280 and
	y==0 and
	ey-y>0.75*(ex-x-83)*my_dir+63 and 
	ey-y<1.25*(ex-x-83)*my_dir+63 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("2B");
		key_event2(ACT_B,ACT_DOWN);
--J6Bh:405(800,208-209-210),(87.5,110),(0-89,0-42),v17.5,1-67F(初速1/5:慣性)
--6Bh :401(800,208-209-210),(67.5,110),(0-89,0-42),v17.5,a0.01
	elseif my_rei>0.65 and
	dis>280 and
	--y==0 and
	ey-y>-0.5*(ex-x-68)*my_dir+110 and 
	ey-y<0.5*(ex-x-68)*my_dir+110 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("6Bh/J6Bh");
		key_on(ACT_B)
		key_on(frontEX());
		wait(10+2)
--J6B :405(800,208-209-210),(87.5,110),(0-89,0-42),v17.5,1-46F(初速1/5:慣性)
--6B  :401(800,208-209-210),(67.5,110),(0-89,0-42),v17.5,a0.01
	elseif my_rei>0.65 and
	dis>280 and
	--y==0 and
	ey-y>-0.5*(ex-x-68)*my_dir+110 and 
	ey-y<0.5*(ex-x-68)*my_dir+110 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("6B/J6B");
		key_event2(ACT_B,front);
--J5B :404(800,426-427-428-429),(85,110),(-30-30,-30-30),v15,1-37F(初速1/5:慣性)
--5B  :400(800,426-427-428-429),(65,110),(-30-30,-30-30),v15
	elseif my_rei>0.65 and
	dis>280 and
	--y==0 and
	ey-y>-0.5*(ex-x-65)*my_dir+110 and 
	ey-y<0.5*(ex-x-65)*my_dir+110 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and 
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("5B/J5B");
		key_event(ACT_B);

--
--3Ah(13):304(b1),-32-213,59-264,30-32,+0-18.65
	elseif dis<=213+18+30+(enemy_xspeedEX)*32 and
	y==0 and 
	(ey+enemy_yspeed*32+(32*(31*e_gs))/2)<=264-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(64)==1 then
		print("3AHr");
		key_on(ACT_A)
		key_on(d_front);
		wait(13+2)
--3A:304,43-186,69-242,15-17,+0-7.4
	elseif dis<=186+7+30+(enemy_xspeedEX)*17 and
	y==0 and 
	(ey+enemy_yspeed*17+(17*(16*e_gs))/2)<=242-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(8)==1 then
		print("3A");
		key_event2(ACT_A,d_front);
--6Ah(9):302(b1),26-127,53-138,32-41,+80-215
	elseif dis<=127+215+30+(enemy_xspeedEX)*41 and
	y==0 and 
	(ey+enemy_yspeed*41+(41*(40*e_gs))/2)<=138-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(32)==1 then
		print("6AHr");
		key_on(ACT_A)
		key_on(frontEX());
		wait(9+2)
--6A:302,50-175,17-189,21-23,+77-90
	elseif dis<=175+90+30+(enemy_xspeedEX)*23 and
	y==0 and 
	(ey+enemy_yspeed*23+(23*(22*e_gs))/2)<=189-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(8)==1 then
		print("6A");
		key_event2(ACT_A,front);
--2A:303,22-127,30-68,9-10,+0
	elseif dis<=127+30+(enemy_xspeedEX)*10 and
	y==0 and 
	(ey+enemy_yspeed*10+(10*(9*e_gs))/2)<=68-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("2A");
		key_event2(ACT_A,ACT_DOWN);
--L5Ah(12):301(b1),
	--前半:32-154,57-164,29-30,+33-48.5
	elseif dis>=140 and 
	dis<=154+48+30+(enemy_xspeedEX)*30 and
	y==0 and 
	(ey+enemy_yspeed*30+(30*(29*e_gs))/2)<=164-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(32)==1 then
		print("L5Ah");
		key_on(ACT_A)
		wait(12+2)
	--後半:36-153,0-98,31-32,+63-76.5
	elseif dis>=140 and 
	dis<=153+76+30+(enemy_xspeedEX)*32 and
	y==0 and 
	(ey+enemy_yspeed*32+(32*(31*e_gs))/2)<=98-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(32)==1 then
		print("L5Ah");
		key_on(ACT_A)
		wait(12+2)
--L5A(>=140)::301,
	--前半:32-154,57-164,14-15,+27-39
	elseif dis>=140 and 
	dis<=154+39+30+(enemy_xspeedEX)*15 and
	y==0 and 
	(ey+enemy_yspeed*15+(15*(14*e_gs))/2)<=165-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("L5A");
		key_event(ACT_A);
	--後半:36-153,0-98,16-17,+50-60
	elseif dis>=140 and 
	dis<=153+60+30+(enemy_xspeedEX)*17 and
	y==0 and 
	(ey+enemy_yspeed*17+(17*(16*e_gs))/2)<=98-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("L5A");
		key_event(ACT_A);
--4A:330,24-118,73-130,9-10
	elseif --dis<=120 and 
	dis<=118+30+(enemy_xspeedEX)*10 and
	y==0 and 
	(ey+enemy_yspeed*10+(10*(9*e_gs))/2)<=130-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("4A");
		key_event2(ACT_A,back);
--AAA:321,40-201,73-141,17-19,+29-41
--AA:320,24-108,73,13-16,+0-26
--S5A(<140):300,24-118,73-130,9-10
	elseif dis<=140 and 
	dis<=118+30+(enemy_xspeedEX)*10 and
	y==0 and 
	(ey+enemy_yspeed*10+(10*(9*e_gs))/2)<=130-40 and
	not(my_act>=50 and my_act<180) and my_act~=200 and my_act<600 and 
	get_fflags(0,32)==true and
	get_fflags(0,8)==false and get_fflags(1,8)==false and 
	enemy_obj_range_in(150,60)==false and
	is_dir_front==true and 
	subs_count>=530 and nega_count ~= 1 and math.random(4)==1 then
		print("S5A");
		key_event(ACT_A);
--
--立:180
--屈:125
--8j	:x 0.0,y16.5(初速),gs0.7 ,1-5F(地上)
--9/7j	:x 6.0,y16.5(初速),gs0.7 ,1-5F(地上)
--8hj	:x 0.0,y22.5(初速),gs0.85,1-5F(地上)
--9/7hj	:x18.0,y16.5(初速),gs0.85,1-5F(地上)
--D8hj	:211,x 3.0,y22.5(初速),gs0.85,b0:1-5F(地上,x11),b1:6-27F(hj,xs3 ),x+65-202-286,y+22.5-309(6-33F)
--D9hj	:212,x16.0,y16.0(初速),gs0.7 ,b0:1-5F(地上,x11),b1:6-52F(hj,xs10),x+65-525,y+16-190(6-27F)
--6/4:x4.5,
--飛:35-180
--6D:200,x11,b0:1-8F(待機),b0:9-14F(発進),b1:15F-(走行),
--ブレーキ:204,1-12F(慣性,抵抗0.5),終端でxs0,
--4D:170+

--割れ岩:-105-70,50-85-115
--盾岩:
	--落ち:-55-55,-30-160
	--盾:-50-45,240
--ブーメラン:-90-85,-30-30
--天地岩:-65-65,-60-60
--剣気:
	--1st:30-195,25-110-170-200,
	--2nd:35-210,85-205,
	--shot:-50-110,-10-160
--大割れ岩:-90-155,320
--大プレス？:-190-185,-185-95
--全人類:-15-240-550-,+-30+-70+-115
	--k=2/25,+-30程度


--]]
--中距離以上からの８ｈｊ
	elseif move_8hjattakeovermidrange_condi()==true then
		print("中距離以上で８ＨＪ");
		key_event2(ACT_D,ACT_UP);
--中距離からのダッシュ
	elseif move_6dattakeovermidrange_condi()==true then
		print("ダッシュ接近");
		key_event2(ACT_D,front);
--低空飛翔で接近
	elseif move_approachbylowflaying_condi()==true then
		move_approachbylowflaying_exe()
--８８３飛翔
	elseif move_approachby883d_condi()==true then
		move_approachby883d_exe()
--▼ 終端運動
--▼ 相手上空へ飛び上がった際の処理
	elseif move_attakeoverhead_condi()==true then
		move_attakeoverhead_exe()
--▼ 終端機動
	--▼ 対台風時
	elseif move_terminationtaihu_condi()==true then
		move_terminationtaihu_exe()
	--▼ 終端機動1
	--台風じゃない時だが…
	elseif move_termination1_condi()==true then
		move_termination1_exe()
	--▼ 終端機動2
	--ただ動く事で自律性を錯覚させる事が目的の機動。静止やラインの設定に大きな根拠はない。
	--霊力が一定の評価を下回った場合、実行しない。
	elseif move_termination2_condi()==true then
		move_termination2_exe()
	end
	
	yield()
end
end